メタデータ
組み込みメタデータフィールドを取得
システムが提供する組み込みメタデータフィールドの一覧を返します(例:ドキュメントタイプ、ソース URL)。
GET
/
datasets
/
{dataset_id}
/
metadata
/
built-in
組み込みメタデータフィールドを取得
curl --request GET \
--url https://{api_base_url}/datasets/{dataset_id}/metadata/built-in \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_base_url}/datasets/{dataset_id}/metadata/built-in"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_base_url}/datasets/{dataset_id}/metadata/built-in', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fields": [
{
"name": "document_name",
"type": "string"
},
{
"name": "uploader",
"type": "string"
},
{
"name": "upload_date",
"type": "time"
},
{
"name": "last_update_date",
"type": "time"
},
{
"name": "source",
"type": "string"
}
]
}{
"status": 403,
"code": "forbidden",
"message": "Dataset api access is not enabled."
}{
"status": 404,
"code": "not_found",
"message": "Dataset not found."
}Authorizations
API Key 認証です。すべての API リクエストにおいて、Authorization HTTP ヘッダーに Bearer プレフィックスを付けた API Key を含めてください。例:Authorization: Bearer {API_KEY}。API Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key の漏洩は深刻な結果につながる可能性があります。API Key が欠落または無効な場合、HTTP 401 とエラーコード unauthorized が返されます。
Path Parameters
ナレッジベース ID です。
Response
組み込みメタデータフィールドです。
システム提供のメタデータフィールドのリストです。
Show child attributes
Show child attributes
Last modified on July 9, 2026
Was this page helpful?
⌘I
組み込みメタデータフィールドを取得
